#ifndef _SAS965PIT_EC_S_4_UI_H
#define _SAS965PIT_EC_S_4_UI_H

#ifdef __cplusplus
extern "C" {
#endif

#include "lvgl.h"

#include "ui_helpers.h"
#include "ui_events.h"
#include "ui_theme_manager.h"
#include "ui_themes.h"

#include "events/ui_mgmt.h"
#include "events/ui_product_test_screen_event.h"
#include "events/ui_main_screen_event.h"
#include "events/ui_menu_screen_event.h"
#include "events/ui_user_setting_screen_event.h"
#include "events/ui_wifi_screen_event.h"
#include "events/ui_engineer_setting_screen_event.h"
#include "programme_app.h"

// SCREEN: ui_MainScreen
void ui_MainScreen_screen_init(void);
void ui_event_MainScreen(lv_event_t * e);
extern lv_obj_t * ui_MainScreen;
extern lv_obj_t * ui_MainScreenOnPanel;
extern lv_obj_t * ui_SaswellPanel;
extern lv_obj_t * ui_ChildLockIconPanel;
extern lv_obj_t * ui_WifiIconPanel;
extern lv_obj_t * ui_ECOIconPanel;
extern lv_obj_t * ui_MainScreenTimeLable;
extern lv_obj_t * ui_MainScreenError1Label;
extern lv_obj_t * ui_MainScreenError2Label;
extern lv_obj_t * ui_MainScreenValveOpenDegreePanel;
extern lv_obj_t * ui_MainScreenOpenLabel;
extern lv_obj_t * ui_MainScreenProgramModeLabel;
extern lv_obj_t * ui_ModebackgroundPanel;
extern lv_obj_t * ui_CurrentTemphintLabel;
extern lv_obj_t * ui_CurrentTempNumbLable;
extern lv_obj_t * ui_MainScreenTempUnitPanel;
extern lv_obj_t * ui_MainScreenTempUnitLable;
extern lv_obj_t * ui_CurrentTempPointNumbLable;
extern lv_obj_t * ui_MainScreenModeLabel;
extern lv_obj_t * ui_ThirdGearMainPanel;
void ui_event_ThirdGearClickPanel(lv_event_t * e);
extern lv_obj_t * ui_ThirdGearClickPanel;
extern lv_obj_t * ui_ThirdGearClickTextLable;
extern lv_obj_t * ui_ThirdGearClickFanIconImage;
extern lv_obj_t * ui_ThirdGearTextLable;
extern lv_obj_t * ui_ThirdGear1GearImage;
extern lv_obj_t * ui_SetTempMainPanel;
void ui_event_SetTempMainAddIconPanel(lv_event_t * e);
extern lv_obj_t * ui_SetTempMainAddIconPanel;
void ui_event_SetTempMainMinusIconPanel(lv_event_t * e);
extern lv_obj_t * ui_SetTempMainMinusIconPanel;
extern lv_obj_t * ui_SetTempMainSetTempLable;
extern lv_obj_t * ui_SetTempMainSetTempValueLable;
void ui_event_MainScreenOnOffButtonPanel(lv_event_t * e);
extern lv_obj_t * ui_MainScreenOnOffButtonPanel;
void ui_event_MainScreenModeButtonPanel(lv_event_t * e);
extern lv_obj_t * ui_MainScreenModeButtonPanel;
extern lv_obj_t * ui_ModeButtonIconPanel;
extern lv_obj_t * ui_ModeButtonTextLabel;
void ui_event_MainScreenMuneButtonPanel(lv_event_t * e);
extern lv_obj_t * ui_MainScreenMuneButtonPanel;
extern lv_obj_t * ui_MainScreenTurnOffPanel;
extern lv_obj_t * ui_TurnOffBackgroundPanel;
extern lv_obj_t * ui_TurnOffBackgroundLabel;
void ui_event_TurnOffClickedCancelPanel(lv_event_t * e);
extern lv_obj_t * ui_TurnOffClickedCancelPanel;
extern lv_obj_t * ui_TurnOffClickedCancelLabel;
void ui_event_TurnOffClickedConfirmPanel(lv_event_t * e);
extern lv_obj_t * ui_TurnOffClickedConfirmPanel;
extern lv_obj_t * ui_TurnOffClickedConfirmLabel;
extern lv_obj_t * ui_MainScreenOffPanel;
extern lv_obj_t * ui_SaswellIconPanel;
extern lv_obj_t * ui_MainScreenOffIconPanel;
void ui_event_MainScreenOffClickedPanel(lv_event_t * e);
extern lv_obj_t * ui_MainScreenOffClickedPanel;
extern lv_obj_t * ui_MainScreenOffCurrentTempTextLable;
extern lv_obj_t * ui_MainScreenOffCurrentTempLable;
void ui_event_MainScreenChildLockTouchPanel(lv_event_t * e);
extern lv_obj_t * ui_MainScreenChildLockTouchPanel;
void ui_event_MainScreenChildLockPasswordBackPanel(lv_event_t * e);
extern lv_obj_t * ui_MainScreenChildLockPasswordBackPanel;
extern lv_obj_t * ui_ChildLockPasswordInputPanel;
extern lv_obj_t * ui_ChildLockPasswordInputPanelLable;
void ui_event_ChildLockPasswordReturnPanel(lv_event_t * e);
extern lv_obj_t * ui_ChildLockPasswordReturnPanel;
extern lv_obj_t * ui_ChildLockPasswordInputPanelDisArea;
extern lv_obj_t * ui_ChildLockPasswordInputPanelErrorLable;
void ui_event_ChildLockPasswordInputPanelKeyboard(lv_event_t * e);
extern lv_obj_t * ui_ChildLockPasswordInputPanelKeyboard;
extern lv_obj_t * ui_ChildLockPasswordDot1Panel;
extern lv_obj_t * ui_ChildLockPasswordDot2Panel;
extern lv_obj_t * ui_ChildLockPasswordDot3Panel;
extern lv_obj_t * ui_ChildLockPasswordDot4Panel;
void ui_event_MainScreenWeekUpPanel(lv_event_t * e);
extern lv_obj_t * ui_MainScreenWeekUpPanel;
void ui_event_ProductTestTouchPanel(lv_event_t * e);
extern lv_obj_t * ui_ProductTestTouchPanel;
// CUSTOM VARIABLES

// SCREEN: ui_MenuScreen
void ui_MenuScreen_screen_init(void);
void ui_event_MenuScreen(lv_event_t * e);
extern lv_obj_t * ui_MenuScreen;
extern lv_obj_t * ui_MenuPanel;
void ui_event_MenuReturnPanel(lv_event_t * e);
extern lv_obj_t * ui_MenuReturnPanel;
extern lv_obj_t * ui_MenuMainLabel;
extern lv_obj_t * ui_MenuProgramPanel;
void ui_event_MenuProgramPanelSwitch(lv_event_t * e);
extern lv_obj_t * ui_MenuProgramPanelSwitch;
extern lv_obj_t * ui_MenuProgramPanelImage;
extern lv_obj_t * ui_MenuProgramPanelLabel;
void ui_event_MenuProgramPanelSetLable(lv_event_t * e);
extern lv_obj_t * ui_MenuProgramPanelSetLable;
extern lv_obj_t * ui_MenuProgramPanelSetLableImage;
extern lv_obj_t * ui_MenuProgramPanelSleepPanel;
void ui_event_MenuProgramPanelSleepPanelMinuPanel(lv_event_t * e);
extern lv_obj_t * ui_MenuProgramPanelSleepPanelMinuPanel;
extern lv_obj_t * ui_MenuProgramPanelSleepPanelTimeLable;
void ui_event_MenuProgramPanelSleepPanelPlusPanel(lv_event_t * e);
extern lv_obj_t * ui_MenuProgramPanelSleepPanelPlusPanel;
void ui_event_MenuProgramPanelSleepPanelConfirmPanel(lv_event_t * e);
extern lv_obj_t * ui_MenuProgramPanelSleepPanelConfirmPanel;
extern lv_obj_t * ui_MenuPanelWifiPanel;
void ui_event_MenuPanelWifiPanelChildPanel(lv_event_t * e);
extern lv_obj_t * ui_MenuPanelWifiPanelChildPanel;
extern lv_obj_t * ui_MenuPanelWifiPanelChildPanelIconImage;
extern lv_obj_t * ui_MenuPanelWifiPanelChildPanelLable;
extern lv_obj_t * ui_MenuPanelWifiPanelChildPanelRightImage;
extern lv_obj_t * ui_MenuPanelUserSetPanel;
void ui_event_MenuPanelUserSetPanelChildPanel(lv_event_t * e);
extern lv_obj_t * ui_MenuPanelUserSetPanelChildPanel;
extern lv_obj_t * ui_MenuPanelUserSetPanelChildPanelIconImage;
extern lv_obj_t * ui_MenuPanelUserSetPanelChildPanelLable;
extern lv_obj_t * ui_MenuPanelUserSetPanelChildPanelRightImage;
extern lv_obj_t * ui_ProgramPanel;
void ui_event_ProgramPanelReturnPanel(lv_event_t * e);
extern lv_obj_t * ui_ProgramPanelReturnPanel;
extern lv_obj_t * ui_ProgramPanelLabel;
void ui_event_ProgramPanelHeatCoolSwitch(lv_event_t * e);
extern lv_obj_t * ui_ProgramPanelHeatCoolSwitch;
extern lv_obj_t * ui_ProgramPanelHeatCoolSwitchCoolLable;
extern lv_obj_t * ui_ProgramPanelHeatCoolSwitchHeatLable;
extern lv_obj_t * ui_ProgramWeekDaySelectPanel;
void ui_event_ProgramWeekDaySelect1Panel(lv_event_t * e);
extern lv_obj_t * ui_ProgramWeekDaySelect1Panel;
extern lv_obj_t * ui_ProgramWeekDaySelect1PanelLable;
extern lv_obj_t * ui_ProgramWeekDaySelect1PanelDot;
void ui_event_ProgramWeekDaySelect2Panel(lv_event_t * e);
extern lv_obj_t * ui_ProgramWeekDaySelect2Panel;
extern lv_obj_t * ui_ProgramWeekDaySelect2PanelLable;
extern lv_obj_t * ui_ProgramWeekDaySelect2PanelDot;
void ui_event_ProgramWeekDaySelect3Panel(lv_event_t * e);
extern lv_obj_t * ui_ProgramWeekDaySelect3Panel;
extern lv_obj_t * ui_ProgramWeekDaySelect3PanelLable;
extern lv_obj_t * ui_ProgramWeekDaySelect3PanelDot;
void ui_event_ProgramWeekDaySelect4Panel(lv_event_t * e);
extern lv_obj_t * ui_ProgramWeekDaySelect4Panel;
extern lv_obj_t * ui_ProgramWeekDaySelect4PanelLable;
extern lv_obj_t * ui_ProgramWeekDaySelect4PanelDot;
void ui_event_ProgramWeekDaySelect5Panel(lv_event_t * e);
extern lv_obj_t * ui_ProgramWeekDaySelect5Panel;
extern lv_obj_t * ui_ProgramWeekDaySelect5PanelLable;
extern lv_obj_t * ui_ProgramWeekDaySelect5PanelDot;
void ui_event_ProgramWeekDaySelect6Panel(lv_event_t * e);
extern lv_obj_t * ui_ProgramWeekDaySelect6Panel;
extern lv_obj_t * ui_ProgramWeekDaySelect6PanelLable;
extern lv_obj_t * ui_ProgramWeekDaySelect6PanelDot;
void ui_event_ProgramWeekDaySelect7Panel(lv_event_t * e);
extern lv_obj_t * ui_ProgramWeekDaySelect7Panel;
extern lv_obj_t * ui_ProgramWeekDaySelect7PanelLable;
extern lv_obj_t * ui_ProgramWeekDaySelect7PanelDot;
void ui_event_ProgramPanelSeg1Panel(lv_event_t * e);
extern lv_obj_t * ui_ProgramPanelSeg1Panel;
extern lv_obj_t * ui_ProgramPanelSeg1PanelSegLable;
extern lv_obj_t * ui_ProgramPanelSeg1PanelTimeLable;
void ui_event_ProgramPanelSeg2Panel(lv_event_t * e);
extern lv_obj_t * ui_ProgramPanelSeg2Panel;
extern lv_obj_t * ui_ProgramPanelSeg2PanelSegLable;
extern lv_obj_t * ui_ProgramPanelSeg2PanelTimeLable;
void ui_event_ProgramPanelSeg3Panel(lv_event_t * e);
extern lv_obj_t * ui_ProgramPanelSeg3Panel;
extern lv_obj_t * ui_ProgramPanelSeg3PanelSegLable;
extern lv_obj_t * ui_ProgramPanelSeg3PanelTimeLable;
void ui_event_ProgramPanelSeg4Panel(lv_event_t * e);
extern lv_obj_t * ui_ProgramPanelSeg4Panel;
extern lv_obj_t * ui_ProgramPanelSeg4PanelSegLable;
extern lv_obj_t * ui_ProgramPanelSeg4PanelTimeLable;
void ui_event_ProgramPanelSeg5Panel(lv_event_t * e);
extern lv_obj_t * ui_ProgramPanelSeg5Panel;
extern lv_obj_t * ui_ProgramPanelSeg5PanelSegLable;
extern lv_obj_t * ui_ProgramPanelSeg5PanelTimeLable;
void ui_event_ProgramPanelSeg6Panel(lv_event_t * e);
extern lv_obj_t * ui_ProgramPanelSeg6Panel;
extern lv_obj_t * ui_ProgramPanelSeg6PanelSegLable;
extern lv_obj_t * ui_ProgramPanelSeg6PanelTimeLable;
void ui_event_ProgramPanelCopyPanel(lv_event_t * e);
extern lv_obj_t * ui_ProgramPanelCopyPanel;
extern lv_obj_t * ui_ProgramPanelCopyPanelLable;
void ui_event_ProgramPanelResetPanel(lv_event_t * e);
extern lv_obj_t * ui_ProgramPanelResetPanel;
extern lv_obj_t * ui_ProgramPanelResetPanelLable;
void ui_event_ProgramCopyBackPanel(lv_event_t * e);
extern lv_obj_t * ui_ProgramCopyBackPanel;
extern lv_obj_t * ui_ProgramCopyPanel;
extern lv_obj_t * ui_ProgramCopyPanelLable;
void ui_event_ProgramCopyPanelSeg1Panel(lv_event_t * e);
extern lv_obj_t * ui_ProgramCopyPanelSeg1Panel;
extern lv_obj_t * ui_ProgramCopyPanelSeg1PanelLable;
void ui_event_ProgramCopyPanelSeg2Panel(lv_event_t * e);
extern lv_obj_t * ui_ProgramCopyPanelSeg2Panel;
extern lv_obj_t * ui_ProgramCopyPanelSeg2PanelLable;
void ui_event_ProgramCopyPanelSeg3Panel(lv_event_t * e);
extern lv_obj_t * ui_ProgramCopyPanelSeg3Panel;
extern lv_obj_t * ui_ProgramCopyPanelSeg3PanelLable;
void ui_event_ProgramCopyPanelSeg4Panel(lv_event_t * e);
extern lv_obj_t * ui_ProgramCopyPanelSeg4Panel;
extern lv_obj_t * ui_ProgramCopyPanelSeg4PanelLable;
void ui_event_ProgramCopyPanelSeg5Panel(lv_event_t * e);
extern lv_obj_t * ui_ProgramCopyPanelSeg5Panel;
extern lv_obj_t * ui_ProgramCopyPanelSeg5PanelLable;
void ui_event_ProgramCopyPanelSeg6Panel(lv_event_t * e);
extern lv_obj_t * ui_ProgramCopyPanelSeg6Panel;
extern lv_obj_t * ui_ProgramCopyPanelSeg6PanelLable;
void ui_event_ProgramCopyBackPanelCancelPanel(lv_event_t * e);
extern lv_obj_t * ui_ProgramCopyBackPanelCancelPanel;
extern lv_obj_t * ui_ProgramCopyBackPanelCancelPanelLable;
void ui_event_ProgramCopyBackPanelConfirmPanel(lv_event_t * e);
extern lv_obj_t * ui_ProgramCopyBackPanelConfirmPanel;
extern lv_obj_t * ui_ProgramCopyBackPanelConfirmPanelLable;
void ui_event_ProgramResetBackPanel(lv_event_t * e);
extern lv_obj_t * ui_ProgramResetBackPanel;
void ui_event_ProgramResetPanel(lv_event_t * e);
extern lv_obj_t * ui_ProgramResetPanel;
extern lv_obj_t * ui_ProgramResetPanelLable;
extern lv_obj_t * ui_ProgramSetPanel;
void ui_event_ProgramSetPanelReturnPanel(lv_event_t * e);
extern lv_obj_t * ui_ProgramSetPanelReturnPanel;
extern lv_obj_t * ui_ProgramSetPanelLabel;
extern lv_obj_t * ui_ProgramSetPanelWeekDayPanel;
void ui_event_ProgramSetPanelWeekDay1Panel(lv_event_t * e);
extern lv_obj_t * ui_ProgramSetPanelWeekDay1Panel;
extern lv_obj_t * ui_ProgramSetPanelWeekDay1PanelLable;
void ui_event_ProgramSetPanelWeekDay2Panel(lv_event_t * e);
extern lv_obj_t * ui_ProgramSetPanelWeekDay2Panel;
extern lv_obj_t * ui_ProgramSetPanelWeekDay2PanelLable;
void ui_event_ProgramSetPanelWeekDay3Panel(lv_event_t * e);
extern lv_obj_t * ui_ProgramSetPanelWeekDay3Panel;
extern lv_obj_t * ui_ProgramSetPanelWeekDay3PanelLable;
void ui_event_ProgramSetPanelWeekDay4Panel(lv_event_t * e);
extern lv_obj_t * ui_ProgramSetPanelWeekDay4Panel;
extern lv_obj_t * ui_ProgramSetPanelWeekDay4PanelLable;
void ui_event_ProgramSetPanelWeekDay5Pane(lv_event_t * e);
extern lv_obj_t * ui_ProgramSetPanelWeekDay5Pane;
extern lv_obj_t * ui_ProgramSetPanelWeekDay5PanelLable;
void ui_event_ProgramSetPanelWeekDay6Panel(lv_event_t * e);
extern lv_obj_t * ui_ProgramSetPanelWeekDay6Panel;
extern lv_obj_t * ui_ProgramSetPanelWeekDay6PanelLable;
void ui_event_ProgramSetPanelWeekDay7Panel(lv_event_t * e);
extern lv_obj_t * ui_ProgramSetPanelWeekDay7Panel;
extern lv_obj_t * ui_ProgramSetPanelWeekDay7PanelLable;
extern lv_obj_t * ui_ProgramSetPanelTimePanel;
extern lv_obj_t * ui_ProgramSetPanelTimePanelLable;
extern lv_obj_t * ui_ProgramSetPanelTimePanelImage;
void ui_event_ProgramSetPanelTimePanelHourUpPanel(lv_event_t * e);
extern lv_obj_t * ui_ProgramSetPanelTimePanelHourUpPanel;
void ui_event_ProgramSetPanelTimePanelHourDownPanel(lv_event_t * e);
extern lv_obj_t * ui_ProgramSetPanelTimePanelHourDownPanel;
void ui_event_ProgramSetPanelTimePanelMinuteUpPanel(lv_event_t * e);
extern lv_obj_t * ui_ProgramSetPanelTimePanelMinuteUpPanel;
void ui_event_ProgramSetPanelTimePanelMinuteDownPanel(lv_event_t * e);
extern lv_obj_t * ui_ProgramSetPanelTimePanelMinuteDownPanel;
extern lv_obj_t * ui_ProgramSetPanelTimeLable;
extern lv_obj_t * ui_ProgramSetPanelTempPanel;
extern lv_obj_t * ui_ProgramSetPanelTempPanelLable;
void ui_event_ProgramSetPanelTempPanelUpPanel(lv_event_t * e);
extern lv_obj_t * ui_ProgramSetPanelTempPanelUpPanel;
void ui_event_ProgramSetPanelTempPanelDownPanel(lv_event_t * e);
extern lv_obj_t * ui_ProgramSetPanelTempPanelDownPanel;
extern lv_obj_t * ui_ProgramSetPanelTempLable;
extern lv_obj_t * ui_ProgramSchedulePanel;
void ui_event_ProgramSchedulePanelReturnPanel(lv_event_t * e);
extern lv_obj_t * ui_ProgramSchedulePanelReturnPanel;
extern lv_obj_t * ui_ProgramSchedulePanelLabel;
extern lv_obj_t * ui_ProgramScheduleWeekDaySelectPanel;
void ui_event_ProgramScheduleWeekDaySelect1Panel(lv_event_t * e);
extern lv_obj_t * ui_ProgramScheduleWeekDaySelect1Panel;
extern lv_obj_t * ui_ProgramScheduleWeekDaySelect1PanelLable;
extern lv_obj_t * ui_ProgramScheduleWeekDaySelect1PanelDot;
void ui_event_ProgramScheduleWeekDaySelect2Panel(lv_event_t * e);
extern lv_obj_t * ui_ProgramScheduleWeekDaySelect2Panel;
extern lv_obj_t * ui_ProgramScheduleWeekDaySelect2PanelLable;
extern lv_obj_t * ui_ProgramScheduleWeekDaySelect2PanelDot;
void ui_event_ProgramScheduleWeekDaySelect3Panel(lv_event_t * e);
extern lv_obj_t * ui_ProgramScheduleWeekDaySelect3Panel;
extern lv_obj_t * ui_ProgramScheduleWeekDaySelect3PanelLable;
extern lv_obj_t * ui_ProgramScheduleWeekDaySelect3PanelDot;
void ui_event_ProgramScheduleWeekDaySelect4Panel(lv_event_t * e);
extern lv_obj_t * ui_ProgramScheduleWeekDaySelect4Panel;
extern lv_obj_t * ui_ProgramScheduleWeekDaySelect4PanelLable;
extern lv_obj_t * ui_ProgramScheduleWeekDaySelect4PanelDot;
void ui_event_ProgramScheduleWeekDaySelect5Panel(lv_event_t * e);
extern lv_obj_t * ui_ProgramScheduleWeekDaySelect5Panel;
extern lv_obj_t * ui_ProgramScheduleWeekDaySelect5PanelLable;
extern lv_obj_t * ui_ProgramScheduleWeekDaySelect5PanelDot;
void ui_event_ProgramScheduleWeekDaySelect6Panel(lv_event_t * e);
extern lv_obj_t * ui_ProgramScheduleWeekDaySelect6Panel;
extern lv_obj_t * ui_ProgramScheduleWeekDaySelect6PanelLable;
extern lv_obj_t * ui_ProgramScheduleWeekDaySelect6PanelDot;
void ui_event_ProgramScheduleWeekDaySelect7Panel(lv_event_t * e);
extern lv_obj_t * ui_ProgramScheduleWeekDaySelect7Panel;
extern lv_obj_t * ui_ProgramScheduleWeekDaySelect7PanelLable;
extern lv_obj_t * ui_ProgramScheduleWeekDaySelect7PanelDot;
extern lv_obj_t * ui_ProgramScheduleWeekDaySeg1Panel;
void ui_event_ProgramScheduleWeekDaySeg1PanelChildPanel(lv_event_t * e);
extern lv_obj_t * ui_ProgramScheduleWeekDaySeg1PanelChildPanel;
extern lv_obj_t * ui_ProgramScheduleWeekDaySeg1PanelChildPanelLable;
void ui_event_ProgramScheduleWeekDaySeg1PanelChildPanelSwitch(lv_event_t * e);
extern lv_obj_t * ui_ProgramScheduleWeekDaySeg1PanelChildPanelSwitch;
extern lv_obj_t * ui_ProgramScheduleWeekDaySeg2Panel;
void ui_event_ProgramScheduleWeekDaySeg2PanelChildPanel(lv_event_t * e);
extern lv_obj_t * ui_ProgramScheduleWeekDaySeg2PanelChildPanel;
extern lv_obj_t * ui_ProgramScheduleWeekDaySeg2PanelChildPanelLable;
void ui_event_ProgramScheduleWeekDaySeg2PanelChildPanelSwitch(lv_event_t * e);
extern lv_obj_t * ui_ProgramScheduleWeekDaySeg2PanelChildPanelSwitch;
extern lv_obj_t * ui_ProgramScheduleWeekDaySeg3Panel;
void ui_event_ProgramScheduleWeekDaySeg3PanelChildPanel(lv_event_t * e);
extern lv_obj_t * ui_ProgramScheduleWeekDaySeg3PanelChildPanel;
extern lv_obj_t * ui_ProgramScheduleWeekDaySeg3PanelChildPanelLable;
void ui_event_ProgramScheduleWeekDaySeg3PanelChildPanelSwitch(lv_event_t * e);
extern lv_obj_t * ui_ProgramScheduleWeekDaySeg3PanelChildPanelSwitch;
extern lv_obj_t * ui_ProgramScheduleWeekDaySeg4Panel;
void ui_event_ProgramScheduleWeekDaySeg4PanelChildPanel(lv_event_t * e);
extern lv_obj_t * ui_ProgramScheduleWeekDaySeg4PanelChildPanel;
extern lv_obj_t * ui_ProgramScheduleWeekDaySeg4PanelChildPanelLable;
void ui_event_ProgramScheduleWeekDaySeg4PanelChildPanelSwitch(lv_event_t * e);
extern lv_obj_t * ui_ProgramScheduleWeekDaySeg4PanelChildPanelSwitch;
void ui_event_ProgramSchedulePanelCopyPanel(lv_event_t * e);
extern lv_obj_t * ui_ProgramSchedulePanelCopyPanel;
extern lv_obj_t * ui_ProgramSchedulePanelCopyPanelLable;
void ui_event_ProgramSchedulePanelResetPanel(lv_event_t * e);
extern lv_obj_t * ui_ProgramSchedulePanelResetPanel;
extern lv_obj_t * ui_ProgramSchedulePanelResetPanelLable;
void ui_event_ProgramScheduleCopyBackPanel(lv_event_t * e);
extern lv_obj_t * ui_ProgramScheduleCopyBackPanel;
extern lv_obj_t * ui_ProgramScheduleCopyPanel;
extern lv_obj_t * ui_ProgramScheduleCopyPanelLable;
void ui_event_ProgramScheduleCopyPanelSeg1Panel(lv_event_t * e);
extern lv_obj_t * ui_ProgramScheduleCopyPanelSeg1Panel;
extern lv_obj_t * ui_ProgramScheduleCopyPanelSeg1PanelLable;
void ui_event_ProgramScheduleCopyPanelSeg2Panel(lv_event_t * e);
extern lv_obj_t * ui_ProgramScheduleCopyPanelSeg2Panel;
extern lv_obj_t * ui_ProgramScheduleCopyPanelSeg2PanelLable;
void ui_event_ProgramScheduleCopyPanelSeg3Panel(lv_event_t * e);
extern lv_obj_t * ui_ProgramScheduleCopyPanelSeg3Panel;
extern lv_obj_t * ui_ProgramScheduleCopyPanelSeg3PanelLable;
void ui_event_ProgramScheduleCopyPanelSeg4Panel(lv_event_t * e);
extern lv_obj_t * ui_ProgramScheduleCopyPanelSeg4Panel;
extern lv_obj_t * ui_ProgramScheduleCopyPanelSeg4PanelLable;
void ui_event_ProgramScheduleCopyPanelSeg5Panel(lv_event_t * e);
extern lv_obj_t * ui_ProgramScheduleCopyPanelSeg5Panel;
extern lv_obj_t * ui_ProgramScheduleCopyPanelSeg5PanelLable;
void ui_event_ProgramScheduleCopyPanelSeg6Panel(lv_event_t * e);
extern lv_obj_t * ui_ProgramScheduleCopyPanelSeg6Panel;
extern lv_obj_t * ui_ProgramScheduleCopyPanelSeg6PanelLable;
void ui_event_ProgramScheduleCopyBackPanelCancelPanel(lv_event_t * e);
extern lv_obj_t * ui_ProgramScheduleCopyBackPanelCancelPanel;
extern lv_obj_t * ui_ProgramScheduleCopyBackPanelCancelPanelLable;
void ui_event_ProgramScheduleCopyBackPanelConfirmPanel(lv_event_t * e);
extern lv_obj_t * ui_ProgramScheduleCopyBackPanelConfirmPanel;
extern lv_obj_t * ui_ProgramScheduleCopyBackPanelConfirmPanelLable;
void ui_event_ProgramScheduleResetBackPanel(lv_event_t * e);
extern lv_obj_t * ui_ProgramScheduleResetBackPanel;
void ui_event_ProgramScheduleResetPanel(lv_event_t * e);
extern lv_obj_t * ui_ProgramScheduleResetPanel;
extern lv_obj_t * ui_ProgramScheduleResetPanelLable;
extern lv_obj_t * ui_ProgramScheduleSetPanel;
void ui_event_ProgramScheduleSetPanelReturnPanel(lv_event_t * e);
extern lv_obj_t * ui_ProgramScheduleSetPanelReturnPanel;
extern lv_obj_t * ui_ProgramScheduleSetPanelLabel;
extern lv_obj_t * ui_ProgramScheduleSetPanelWeekDayPanel;
void ui_event_ProgramScheduleSetPanelWeekDay1Panel(lv_event_t * e);
extern lv_obj_t * ui_ProgramScheduleSetPanelWeekDay1Panel;
extern lv_obj_t * ui_ProgramScheduleSetPanelWeekDay1PanelLable;
void ui_event_ProgramScheduleSetPanelWeekDay2Panel(lv_event_t * e);
extern lv_obj_t * ui_ProgramScheduleSetPanelWeekDay2Panel;
extern lv_obj_t * ui_ProgramScheduleSetPanelWeekDay2PanelLable;
void ui_event_ProgramScheduleSetPanelWeekDay3Panel(lv_event_t * e);
extern lv_obj_t * ui_ProgramScheduleSetPanelWeekDay3Panel;
extern lv_obj_t * ui_ProgramScheduleSetPanelWeekDay3PanelLable;
void ui_event_ProgramScheduleSetPanelWeekDay4Panel(lv_event_t * e);
extern lv_obj_t * ui_ProgramScheduleSetPanelWeekDay4Panel;
extern lv_obj_t * ui_ProgramScheduleSetPanelWeekDay4PanelLable;
void ui_event_ProgramScheduleSetPanelWeekDay5Panel(lv_event_t * e);
extern lv_obj_t * ui_ProgramScheduleSetPanelWeekDay5Panel;
extern lv_obj_t * ui_ProgramScheduleSetPanelWeekDay5PanelLable;
void ui_event_ProgramScheduleSetPanelWeekDay6Panel(lv_event_t * e);
extern lv_obj_t * ui_ProgramScheduleSetPanelWeekDay6Panel;
extern lv_obj_t * ui_ProgramScheduleSetPanelWeekDay6PanelLable;
void ui_event_ProgramScheduleSetPanelWeekDay7Panel(lv_event_t * e);
extern lv_obj_t * ui_ProgramScheduleSetPanelWeekDay7Panel;
extern lv_obj_t * ui_ProgramScheduleSetPanelWeekDay7PanelLable;
extern lv_obj_t * ui_ProgramScheduleSetPanelTimePanel;
extern lv_obj_t * ui_ProgramScheduleSetPanelTimePanelLable;
extern lv_obj_t * ui_ProgramScheduleSetPanelTimePanelImage;
void ui_event_ProgramScheduleSetPanelTimePanelHourUpPanel(lv_event_t * e);
extern lv_obj_t * ui_ProgramScheduleSetPanelTimePanelHourUpPanel;
void ui_event_ProgramScheduleSetPanelTimePanelHourDownPanel(lv_event_t * e);
extern lv_obj_t * ui_ProgramScheduleSetPanelTimePanelHourDownPanel;
void ui_event_ProgramScheduleSetPanelTimePanelMinuteUpPanel(lv_event_t * e);
extern lv_obj_t * ui_ProgramScheduleSetPanelTimePanelMinuteUpPanel;
void ui_event_ProgramScheduleSetPanelTimePanelMinuteDownPanel(lv_event_t * e);
extern lv_obj_t * ui_ProgramScheduleSetPanelTimePanelMinuteDownPanel;
extern lv_obj_t * ui_ProgramScheduleSetPanelTimeLable;
extern lv_obj_t * ui_ProgramScheduleSetPanelTempPanel;
extern lv_obj_t * ui_ProgramScheduleSetPanelTempPanelLable;
void ui_event_ProgramScheduleSetPanelTempPanelUpPanel(lv_event_t * e);
extern lv_obj_t * ui_ProgramScheduleSetPanelTempPanelUpPanel;
void ui_event_ProgramScheduleSetPanelTempPanelDownPanel(lv_event_t * e);
extern lv_obj_t * ui_ProgramScheduleSetPanelTempPanelDownPanel;
extern lv_obj_t * ui_ProgramScheduleSetPanelTempLable;
// CUSTOM VARIABLES

// SCREEN: ui_UserSettingScreen
void ui_UserSettingScreen_screen_init(void);
void ui_event_UserSettingScreen(lv_event_t * e);
extern lv_obj_t * ui_UserSettingScreen;
extern lv_obj_t * ui_UserSettingPanel;
void ui_event_UserSettingPanelReturnPanel(lv_event_t * e);
extern lv_obj_t * ui_UserSettingPanelReturnPanel;
extern lv_obj_t * ui_UserSettingPanelLabel;
extern lv_obj_t * ui_UserSettingPanel1Panel;
extern lv_obj_t * ui_UserSettingPanel1PanelChildPanel;
extern lv_obj_t * ui_UserSettingPanel1PanelChildPanelLable;
void ui_event_UserSettingPanel1PanelChildPanelMinusPanel(lv_event_t * e);
extern lv_obj_t * ui_UserSettingPanel1PanelChildPanelMinusPanel;
void ui_event_UserSettingPanel1PanelChildPanelAddPanel(lv_event_t * e);
extern lv_obj_t * ui_UserSettingPanel1PanelChildPanelAddPanel;
extern lv_obj_t * ui_UserSettingPanel1PanelChildPanelDis1Panel;
extern lv_obj_t * ui_UserSettingPanel1PanelChildPanelDis2Panel;
extern lv_obj_t * ui_UserSettingPanel1PanelChildPanelDis3Panel;
extern lv_obj_t * ui_UserSettingPanel2Panel;
extern lv_obj_t * ui_UserSettingPanel2PanelChildPanel;
extern lv_obj_t * ui_UserSettingPanel2PanelChildPanelLable;
void ui_event_UserSettingPanel2PanelChildPanelMinusPanel(lv_event_t * e);
extern lv_obj_t * ui_UserSettingPanel2PanelChildPanelMinusPanel;
extern lv_obj_t * ui_UserSettingPanel2PanelChildPanelValueLable;
void ui_event_UserSettingPanel2PanelChildPanelAddPanel(lv_event_t * e);
extern lv_obj_t * ui_UserSettingPanel2PanelChildPanelAddPanel;
extern lv_obj_t * ui_UserSettingPanel3Panel;
extern lv_obj_t * ui_UserSettingPanel3PanelChildPanel;
extern lv_obj_t * ui_UserSettingPanel3PanelChildPanelLable;
void ui_event_UserSettingPanel3PanelChildPanelSwitch(lv_event_t * e);
extern lv_obj_t * ui_UserSettingPanel3PanelChildPanelSwitch;
extern lv_obj_t * ui_UserSettingPanel4Panel;
void ui_event_UserSettingPanel4PanelChildPanel(lv_event_t * e);
extern lv_obj_t * ui_UserSettingPanel4PanelChildPanel;
extern lv_obj_t * ui_UserSettingPanel4PanelChildPanelLable;
extern lv_obj_t * ui_UserSettingPanel4PanelIcon;
extern lv_obj_t * ui_UserSettingPanel5Panel;
void ui_event_UserSettingPanel5PanelChildPanel(lv_event_t * e);
extern lv_obj_t * ui_UserSettingPanel5PanelChildPanel;
extern lv_obj_t * ui_UserSettingPanel5PanelChildPanelLable;
extern lv_obj_t * ui_UserSettingPanel5PanelIcon;
extern lv_obj_t * ui_DataAndTimePanel;
void ui_event_DataAndTimePanelReturnPanel(lv_event_t * e);
extern lv_obj_t * ui_DataAndTimePanelReturnPanel;
extern lv_obj_t * ui_DataAndTimePanelMainLabel;
extern lv_obj_t * ui_Hours24Panel;
extern lv_obj_t * ui_Hours24PanelChildPanel;
extern lv_obj_t * ui_Hours24PanelChildPanelLabel;
void ui_event_Hours24PanelChildPanelSwitch(lv_event_t * e);
extern lv_obj_t * ui_Hours24PanelChildPanelSwitch;
extern lv_obj_t * ui_NetworkSynchronizationPanel;
extern lv_obj_t * ui_NetworkSynchronizationPanelChildPanel;
extern lv_obj_t * ui_NetworkSynchronizationPanelChildPanelLabel;
void ui_event_NetworkSynchronizationPanelChildPanelSwitch(lv_event_t * e);
extern lv_obj_t * ui_NetworkSynchronizationPanelChildPanelSwitch;
void ui_event_TimeSettingPanel(lv_event_t * e);
extern lv_obj_t * ui_TimeSettingPanel;
void ui_event_TimeSettingPanelChildPanel(lv_event_t * e);
extern lv_obj_t * ui_TimeSettingPanelChildPanel;
extern lv_obj_t * ui_TimeSettingPanelChildPanelLabel;
void ui_event_TimeSettingPanelChildPanelRightIconPanel(lv_event_t * e);
extern lv_obj_t * ui_TimeSettingPanelChildPanelRightIconPanel;
void ui_event_TimeSettingPanelChildPanelTickIconPanel(lv_event_t * e);
extern lv_obj_t * ui_TimeSettingPanelChildPanelTickIconPanel;
extern lv_obj_t * ui_TimeSettingParamPanel;
void ui_event_TimeSettingParamPanelYearRoller(lv_event_t * e);
extern lv_obj_t * ui_TimeSettingParamPanelYearRoller;
void ui_event_TimeSettingParamPanelMonthRoller(lv_event_t * e);
extern lv_obj_t * ui_TimeSettingParamPanelMonthRoller;
void ui_event_TimeSettingParamPanelDayRoller(lv_event_t * e);
extern lv_obj_t * ui_TimeSettingParamPanelDayRoller;
void ui_event_TimeSettingParamPanelHourRoller(lv_event_t * e);
extern lv_obj_t * ui_TimeSettingParamPanelHourRoller;
void ui_event_TimeSettingParamPanelMinuteRoller(lv_event_t * e);
extern lv_obj_t * ui_TimeSettingParamPanelMinuteRoller;
extern lv_obj_t * ui_TimeSettingParamPanelYearLable;
extern lv_obj_t * ui_TimeSettingParamPanelMonthLable;
extern lv_obj_t * ui_TimeSettingParamPanelDayLable;
extern lv_obj_t * ui_TimeSettingParamPanelHourLable;
extern lv_obj_t * ui_TimeSettingParamPanelMinuteLable;
void ui_event_EngineerPasswordBackPanel(lv_event_t * e);
extern lv_obj_t * ui_EngineerPasswordBackPanel;
extern lv_obj_t * ui_EngineerPasswordInputPanel;
extern lv_obj_t * ui_EngineerPasswordInputPanelLable;
void ui_event_EngineerPasswordReturnPanel(lv_event_t * e);
extern lv_obj_t * ui_EngineerPasswordReturnPanel;
extern lv_obj_t * ui_EngineerPasswordInputPanelDisArea;
extern lv_obj_t * ui_EngineerPasswordInputPanelErrorLable;
void ui_event_EngineerPasswordInputPanelKeyboard(lv_event_t * e);
extern lv_obj_t * ui_EngineerPasswordInputPanelKeyboard;
extern lv_obj_t * ui_EngineerPasswordDot1Panel;
extern lv_obj_t * ui_EngineerPasswordDot2Panel;
extern lv_obj_t * ui_EngineerPasswordDot3Panel;
extern lv_obj_t * ui_EngineerPasswordDot4Panel;
// CUSTOM VARIABLES

// SCREEN: ui_EngineerSettingScreen
void ui_EngineerSettingScreen_screen_init(void);
void ui_event_EngineerSettingScreen(lv_event_t * e);
extern lv_obj_t * ui_EngineerSettingScreen;
extern lv_obj_t * ui_EngineerSettingPanel;
void ui_event_EngineerSettingPanelReturnPanel(lv_event_t * e);
extern lv_obj_t * ui_EngineerSettingPanelReturnPanel;
extern lv_obj_t * ui_EngineerSettingPanelLabel;
extern lv_obj_t * ui_EngineerSettingPanelSeg1Panel;
extern lv_obj_t * ui_EngineerSettingPanelSeg1PanelChildPanel;
extern lv_obj_t * ui_EngineerSettingPanelSeg1PanelChildPanelLable;
void ui_event_EngineerSettingPanelSeg1PanelChildPanelMinusPanel(lv_event_t * e);
extern lv_obj_t * ui_EngineerSettingPanelSeg1PanelChildPanelMinusPanel;
extern lv_obj_t * ui_EngineerSettingPanelSeg1PanelChildPanelValueLable;
void ui_event_EngineerSettingPanelSeg1PanelChildPanelAddPanel(lv_event_t * e);
extern lv_obj_t * ui_EngineerSettingPanelSeg1PanelChildPanelAddPanel;
void ui_event_EngineerSettingPanelSeg1PanelChildPanelSwitch(lv_event_t * e);
extern lv_obj_t * ui_EngineerSettingPanelSeg1PanelChildPanelSwitch;
extern lv_obj_t * ui_EngineerSettingPanelSeg2Panel;
extern lv_obj_t * ui_EngineerSettingPanelSeg2PanelChildPanel;
extern lv_obj_t * ui_EngineerSettingPanelSeg2PanelChildPanelLable;
void ui_event_EngineerSettingPanelSeg2PanelChildPanelMinusPanel(lv_event_t * e);
extern lv_obj_t * ui_EngineerSettingPanelSeg2PanelChildPanelMinusPanel;
extern lv_obj_t * ui_EngineerSettingPanelSeg2PanelChildPanelValueLable;
void ui_event_EngineerSettingPanelSeg2PanelChildPanelAddPanel(lv_event_t * e);
extern lv_obj_t * ui_EngineerSettingPanelSeg2PanelChildPanelAddPanel;
void ui_event_EngineerSettingPanelSeg2PanelChildPanelSwitch(lv_event_t * e);
extern lv_obj_t * ui_EngineerSettingPanelSeg2PanelChildPanelSwitch;
extern lv_obj_t * ui_EngineerSettingPanelSeg3Panel;
extern lv_obj_t * ui_EngineerSettingPanelSeg3PanelChildPanel;
extern lv_obj_t * ui_EngineerSettingPanelSeg3PanelChildPanelLable;
void ui_event_EngineerSettingPanelSeg3PanelChildPanelMinusPanel(lv_event_t * e);
extern lv_obj_t * ui_EngineerSettingPanelSeg3PanelChildPanelMinusPanel;
extern lv_obj_t * ui_EngineerSettingPanelSeg3PanelChildPanelValueLable;
void ui_event_EngineerSettingPanelSeg3PanelChildPanelAddPanel(lv_event_t * e);
extern lv_obj_t * ui_EngineerSettingPanelSeg3PanelChildPanelAddPanel;
void ui_event_EngineerSettingPanelSeg3PanelChildPanelSwitch(lv_event_t * e);
extern lv_obj_t * ui_EngineerSettingPanelSeg3PanelChildPanelSwitch;
extern lv_obj_t * ui_EngineerSettingPanelSeg4Panel;
extern lv_obj_t * ui_EngineerSettingPanelSeg4PanelChildPanel;
extern lv_obj_t * ui_EngineerSettingPanelSeg4PanelChildPanelLable;
void ui_event_EngineerSettingPanelSeg4PanelChildPanelMinusPanel(lv_event_t * e);
extern lv_obj_t * ui_EngineerSettingPanelSeg4PanelChildPanelMinusPanel;
extern lv_obj_t * ui_EngineerSettingPanelSeg4PanelChildPanelValueLable;
void ui_event_EngineerSettingPanelSeg4PanelChildPanelAddPanel(lv_event_t * e);
extern lv_obj_t * ui_EngineerSettingPanelSeg4PanelChildPanelAddPanel;
void ui_event_EngineerSettingPanelSeg4PanelChildPanelSwitch(lv_event_t * e);
extern lv_obj_t * ui_EngineerSettingPanelSeg4PanelChildPanelSwitch;
extern lv_obj_t * ui_EngineerSettingPanelSeg5Panel;
extern lv_obj_t * ui_EngineerSettingPanelSeg5PanelChildPanel;
extern lv_obj_t * ui_EngineerSettingPanelSeg5PanelChildPanelLable;
void ui_event_EngineerSettingPanelSeg5PanelChildPanelMinusPanel(lv_event_t * e);
extern lv_obj_t * ui_EngineerSettingPanelSeg5PanelChildPanelMinusPanel;
extern lv_obj_t * ui_EngineerSettingPanelSeg5PanelChildPanelValueLable;
void ui_event_EngineerSettingPanelSeg5PanelChildPanelAddPanel(lv_event_t * e);
extern lv_obj_t * ui_EngineerSettingPanelSeg5PanelChildPanelAddPanel;
void ui_event_EngineerSettingPanelSeg5PanelChildPanelSwitch(lv_event_t * e);
extern lv_obj_t * ui_EngineerSettingPanelSeg5PanelChildPanelSwitch;
void ui_event_EngineerSettingPanelPrePanel(lv_event_t * e);
extern lv_obj_t * ui_EngineerSettingPanelPrePanel;
extern lv_obj_t * ui_Image1;
void ui_event_EngineerSettingPanelNextPanel(lv_event_t * e);
extern lv_obj_t * ui_EngineerSettingPanelNextPanel;
extern lv_obj_t * ui_Image2;
extern lv_obj_t * ui_EngineerSettingPanelPageNumbLable;
// CUSTOM VARIABLES

// SCREEN: ui_WifiMatchScreen
void ui_WifiMatchScreen_screen_init(void);
void ui_event_WifiMatchScreen(lv_event_t * e);
extern lv_obj_t * ui_WifiMatchScreen;
extern lv_obj_t * ui_WifiMatchLabel;
void ui_event_WifiMatchReturnButtonPanel(lv_event_t * e);
extern lv_obj_t * ui_WifiMatchReturnButtonPanel;
extern lv_obj_t * ui_WifiMatchImage1;
extern lv_obj_t * ui_WifiMatchContainer1;
extern lv_obj_t * ui_WifiMatchContainer2;
extern lv_obj_t * ui_WifiMatchContainer3;
extern lv_obj_t * ui_WifiMatchImage2;
extern lv_obj_t * ui_WifiMatchStateLabel1;
extern lv_obj_t * ui_WifiMatchContainer4;
extern lv_obj_t * ui_WifiMatchContainer5;
extern lv_obj_t * ui_WifiMatchContainer6;
extern lv_obj_t * ui_WifiMatchImage3;
extern lv_obj_t * ui_WifiMatchContainer7;
extern lv_obj_t * ui_WifiMatchContainer8;
extern lv_obj_t * ui_WifiMatchContainer9;
extern lv_obj_t * ui_WifiMatchContainer10;
extern lv_obj_t * ui_WifiMatchStateLabel2;
void ui_event_WifiMatchButtonPanel(lv_event_t * e);
extern lv_obj_t * ui_WifiMatchButtonPanel;
extern lv_obj_t * ui_WifiMatchButtonLabel;
void ui_event_WifiMatchMatchModePanel(lv_event_t * e);
extern lv_obj_t * ui_WifiMatchMatchModePanel;
extern lv_obj_t * ui_WifiMatchMatchModeButtonContainer;
void ui_event_WifiMatchMatchModePanelReturnButtonPanel(lv_event_t * e);
extern lv_obj_t * ui_WifiMatchMatchModePanelReturnButtonPanel;
extern lv_obj_t * ui_WifiMatchMatchModeLabel;
void ui_event_WifiMatchIntelligentModeButtonPanel(lv_event_t * e);
extern lv_obj_t * ui_WifiMatchIntelligentModeButtonPanel;
extern lv_obj_t * ui_WifiMatchIntelligentModeButtonLabel;
void ui_event_WifiMatchApModeButtonPanel(lv_event_t * e);
extern lv_obj_t * ui_WifiMatchApModeButtonPanel;
extern lv_obj_t * ui_WifiMatchApModeButtonLabel;
void ui_event_WifiMatchPromptPanel(lv_event_t * e);
extern lv_obj_t * ui_WifiMatchPromptPanel;
void ui_event_WifiMatchPromptButtonPanel(lv_event_t * e);
extern lv_obj_t * ui_WifiMatchPromptButtonPanel;
extern lv_obj_t * ui_WifiMatchPromptButtonLabel;
// CUSTOM VARIABLES

// SCREEN: ui_ProductTestScreen
void ui_ProductTestScreen_screen_init(void);
void ui_event_ProductTestScreen(lv_event_t * e);
extern lv_obj_t * ui_ProductTestScreen;
extern lv_obj_t * ui_ProductTestLabel;
void ui_event_ProductTestTopBarPanel(lv_event_t * e);
extern lv_obj_t * ui_ProductTestTopBarPanel;
extern lv_obj_t * ui_ProductTestTopBarPromptLabel;
void ui_event_ProductTestRelaySwitch1(lv_event_t * e);
extern lv_obj_t * ui_ProductTestRelaySwitch1;
extern lv_obj_t * ui_ProductTestRelayLabel1;
void ui_event_ProductTestRelaySwitch2(lv_event_t * e);
extern lv_obj_t * ui_ProductTestRelaySwitch2;
extern lv_obj_t * ui_ProductTestRelayLabel2;
void ui_event_ProductTestRelaySwitch3(lv_event_t * e);
extern lv_obj_t * ui_ProductTestRelaySwitch3;
extern lv_obj_t * ui_ProductTestRelayLabel3;
void ui_event_ProductTestRelaySwitch4(lv_event_t * e);
extern lv_obj_t * ui_ProductTestRelaySwitch4;
extern lv_obj_t * ui_ProductTestRelayLabel4;
void ui_event_ProductTestRelaySwitch5(lv_event_t * e);
extern lv_obj_t * ui_ProductTestRelaySwitch5;
extern lv_obj_t * ui_ProductTestRelayLabel5;
extern lv_obj_t * ui_ProductTestRelay4LevelPanel1;
extern lv_obj_t * ui_ProductTestRelay4LevelPanel2;
extern lv_obj_t * ui_ProductTestRelay4LevelPanel3;
void ui_event_ProductTestRelay4MinusButtonPanel(lv_event_t * e);
extern lv_obj_t * ui_ProductTestRelay4MinusButtonPanel;
void ui_event_ProductTestRelay4PlusButtonPanel(lv_event_t * e);
extern lv_obj_t * ui_ProductTestRelay4PlusButtonPanel;
extern lv_obj_t * ui_ProductTestDateTimeLabel;
extern lv_obj_t * ui_ProductTestWeekLabel;
void ui_event_ProductTestDateTimeWeekSwitch(lv_event_t * e);
extern lv_obj_t * ui_ProductTestDateTimeWeekSwitch;
extern lv_obj_t * ui_ProductTestCurrentTemperatureLabel;
extern lv_obj_t * ui_ProductTestNtcTemperatureLabel;
void ui_event_ProductTestTemperatureSwitch(lv_event_t * e);
extern lv_obj_t * ui_ProductTestTemperatureSwitch;
extern lv_obj_t * ui_ProductTestWifiRssiLabel;
void ui_event_ProductTestWifiSwitch(lv_event_t * e);
extern lv_obj_t * ui_ProductTestWifiSwitch;
extern lv_obj_t * ui_ProductTestPromptLabel;
extern lv_obj_t * ui_ProductTestFirmwareVersionLabel;
void ui_event_ProductTestPanel(lv_event_t * e);
extern lv_obj_t * ui_ProductTestPanel;
extern lv_obj_t * ui_ProductTestPanelPromptLabel;
// CUSTOM VARIABLES

// EVENTS

extern lv_obj_t * ui____initial_actions0;

// IMAGES AND IMAGE SETS
LV_IMG_DECLARE(ui_img_1_fan1_png);    // assets/1_fan1.png
LV_IMG_DECLARE(ui_img_1_fan2_png);    // assets/1_fan2.png
LV_IMG_DECLARE(ui_img_1_fan3_png);    // assets/1_fan3.png
LV_IMG_DECLARE(ui_img_aneeq_logo_png);    // assets/Aneeq_logo.png
LV_IMG_DECLARE(ui_img_1_child_lock_icon_png);    // assets/1_child_lock_icon.png
LV_IMG_DECLARE(ui_img_1_wifi_icon_png);    // assets/1_wifi_icon.png
LV_IMG_DECLARE(ui_img_1_eco_icon_png);    // assets/1_eco_icon.png
LV_IMG_DECLARE(ui_img_21_valve_icon_png);    // assets/21_valve_icon.png
LV_IMG_DECLARE(ui_img_mode_cool_background_png);    // assets/mode_cool_background.png
LV_IMG_DECLARE(ui_img_936214896);    // assets/℃.png
LV_IMG_DECLARE(ui_img_fan_background_png);    // assets/fan_background.png
LV_IMG_DECLARE(ui_img_fan_click_background_png);    // assets/fan_click_background.png
LV_IMG_DECLARE(ui_img_fan_click_fan_png);    // assets/fan_click_fan.png
LV_IMG_DECLARE(ui_img_20_fan_speed_icon_png);    // assets/20_fan_speed_icon.png
LV_IMG_DECLARE(ui_img_1_fan_default_png);    // assets/1_fan_default.png
LV_IMG_DECLARE(ui_img_554927970);    // assets/21_+.png
LV_IMG_DECLARE(ui_img_554917224);    // assets/21_-.png
LV_IMG_DECLARE(ui_img_20_click_onoff_icon_png);    // assets/20_click_onoff_icon.png
LV_IMG_DECLARE(ui_img_20_click_mode_cool_png);    // assets/20_click_mode_cool.png
LV_IMG_DECLARE(ui_img_20_click_menu_icon_png);    // assets/20_click_menu_icon.png
LV_IMG_DECLARE(ui_img_house_icon_png);    // assets/house_icon.png
LV_IMG_DECLARE(ui_img_20_green_off_icon_png);    // assets/20_green_off_icon.png
LV_IMG_DECLARE(ui_img_20_return_icon_png);    // assets/20_return_icon.png
LV_IMG_DECLARE(ui_img_21_program_normal_png);    // assets/21_program_normal.png
LV_IMG_DECLARE(ui_img_21_green_right_png);    // assets/21_green_right.png
LV_IMG_DECLARE(ui_img_21_confirm_png);    // assets/21_confirm.png
LV_IMG_DECLARE(ui_img_21_wifi_png);    // assets/21_wifi.png
LV_IMG_DECLARE(ui_img_21_normal_right_png);    // assets/21_normal_right.png
LV_IMG_DECLARE(ui_img_21_set_png);    // assets/21_set.png
LV_IMG_DECLARE(ui_img_554911602);    // assets/21_;.png
LV_IMG_DECLARE(ui_img_21_up_normal_png);    // assets/21_up_normal.png
LV_IMG_DECLARE(ui_img_21_up_green_png);    // assets/21_up_green.png
LV_IMG_DECLARE(ui_img_21_down_normal_png);    // assets/21_down_normal.png
LV_IMG_DECLARE(ui_img_21_down_green_png);    // assets/21_down_green.png
LV_IMG_DECLARE(ui_img_717101031);    // assets/21_-normal.png
LV_IMG_DECLARE(ui_img_1574375350);    // assets/21_-light.png
LV_IMG_DECLARE(ui_img_344582561);    // assets/21_+normal.png
LV_IMG_DECLARE(ui_img_1562660272);    // assets/21_+light.png
LV_IMG_DECLARE(ui_img_11_right_png);    // assets/11_right.png
LV_IMG_DECLARE(ui_img_11_0006_png);    // assets/11_0006.png
LV_IMG_DECLARE(ui_img_04wifimatch0101_png);    // assets/04WifiMatch0101.png
LV_IMG_DECLARE(ui_img_04wifimatch0201_png);    // assets/04WifiMatch0201.png
LV_IMG_DECLARE(ui_img_04wifimatch0401_png);    // assets/04WifiMatch0401.png
LV_IMG_DECLARE(ui_img_04wifimatch0301_png);    // assets/04WifiMatch0301.png
LV_IMG_DECLARE(ui_img_01standby0201_png);    // assets/01Standby0201.png
LV_IMG_DECLARE(ui_img_1st_gear_auto_fan_clicked_png);    // assets/1st_gear_auto_fan_clicked.png
LV_IMG_DECLARE(ui_img_1st_gear_fan_on_background_png);    // assets/1st_gear_fan_on_background.png
LV_IMG_DECLARE(ui_img_1st_gear_fan_on_clicked_png);    // assets/1st_gear_fan_on_clicked.png
LV_IMG_DECLARE(ui_img_20_click_mode_auto_png);    // assets/20_click_mode_auto.png
LV_IMG_DECLARE(ui_img_20_click_mode_heat_png);    // assets/20_click_mode_heat.png
LV_IMG_DECLARE(ui_img_20_click_ventilate_png);    // assets/20_click_ventilate.png
LV_IMG_DECLARE(ui_img_20_fan_speed1_icon_png);    // assets/20_fan_speed1_icon.png
LV_IMG_DECLARE(ui_img_20_fan_speed2_icon_png);    // assets/20_fan_speed2_icon.png
LV_IMG_DECLARE(ui_img_20_red_off_icon_png);    // assets/20_red_off_icon.png
LV_IMG_DECLARE(ui_img_21_program_light_png);    // assets/21_program_light.png
LV_IMG_DECLARE(ui_img_21_sleep_light_png);    // assets/21_sleep_light.png
LV_IMG_DECLARE(ui_img_21_sleep_sleep_normal_png);    // assets/21_sleep_sleep_normal.png
LV_IMG_DECLARE(ui_img_21_timing_light_png);    // assets/21_timing_light.png
LV_IMG_DECLARE(ui_img_21_timing_nromal_png);    // assets/21_timing_nromal.png
LV_IMG_DECLARE(ui_img_fan1_default_png);    // assets/fan1_default.png
LV_IMG_DECLARE(ui_img_fan2_default_png);    // assets/fan2_default.png
LV_IMG_DECLARE(ui_img_fan3_default_png);    // assets/fan3_default.png
LV_IMG_DECLARE(ui_img_fan_1_png);    // assets/fan_1.png
LV_IMG_DECLARE(ui_img_fan_2_png);    // assets/fan_2.png
LV_IMG_DECLARE(ui_img_fan_3_png);    // assets/fan_3.png
LV_IMG_DECLARE(ui_img_mode_auto_background_png);    // assets/mode_auto_background.png
LV_IMG_DECLARE(ui_img_mode_heat_background_png);    // assets/mode_heat_background.png
LV_IMG_DECLARE(ui_img_mode_ventilate_background_png);    // assets/mode_ventilate_background.png
LV_IMG_DECLARE(ui_img_saswell_png);    // assets/saswell.png
LV_IMG_DECLARE(ui_img_saswell_icon_png);    // assets/saswell_icon.png

// FONTS
LV_FONT_DECLARE(ui_font_SourceHanSansCNBold22);
LV_FONT_DECLARE(ui_font_SourceHanSansCNBold60);
LV_FONT_DECLARE(ui_font_SourceHanSansCNBold70);
LV_FONT_DECLARE(ui_font_SourceHanSansCNBold93);
LV_FONT_DECLARE(ui_font_SourceHanSansCNLight76);
LV_FONT_DECLARE(ui_font_SourceHanSansCNRegular102);
LV_FONT_DECLARE(ui_font_SourceHanSansCNRegular111);
LV_FONT_DECLARE(ui_font_SourceHanSansCNRegular14);
LV_FONT_DECLARE(ui_font_SourceHanSansCNRegular16);
LV_FONT_DECLARE(ui_font_SourceHanSansCNRegular17);
LV_FONT_DECLARE(ui_font_SourceHanSansCNRegular18);
LV_FONT_DECLARE(ui_font_SourceHanSansCNRegular19);
LV_FONT_DECLARE(ui_font_SourceHanSansCNRegular20);
LV_FONT_DECLARE(ui_font_SourceHanSansCNRegular22);
LV_FONT_DECLARE(ui_font_SourceHanSansCNRegular24);
LV_FONT_DECLARE(ui_font_SourceHanSansCNRegular25);
LV_FONT_DECLARE(ui_font_SourceHanSansCNRegular26);
LV_FONT_DECLARE(ui_font_SourceHanSansCNRegular27);
LV_FONT_DECLARE(ui_font_SourceHanSansCNRegular30);
LV_FONT_DECLARE(ui_font_SourceHanSansCNRegular31);
LV_FONT_DECLARE(ui_font_SourceHanSansCNRegular35);
LV_FONT_DECLARE(ui_font_SourceHanSansCNRegular40);
LV_FONT_DECLARE(ui_font_SourceHanSansCNRegular45);
LV_FONT_DECLARE(ui_font_SourceHanSansCNRegular55);
LV_FONT_DECLARE(ui_font_SourceHanSansCNRegular70);

// UI INIT
void ui_init(void);

#ifdef __cplusplus
} /*extern "C"*/
#endif

#endif
